Package org.springframework.scripting.config

# Class LangNamespaceHandler

java.lang.Object
org.springframework.beans.factory.xml.NamespaceHandlerSupport
org.springframework.scripting.config.LangNamespaceHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.NamespaceHandler`

public class LangNamespaceHandler extends org.springframework.beans.factory.xml.NamespaceHandlerSupport
`NamespaceHandler` that supports the wiring of objects backed by dynamic languages such as Groovy, JRuby and BeanShell. The following is an example (from the reference documentation) that details the wiring of a Groovy backed bean:

     <lang:groovy id="messenger"
         refresh-check-delay="5000"
         script-source="classpath:Messenger.groovy">
     <lang:property name="message" value="I Can Do The Frug"/>
     </lang:groovy>

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher

## Constructor Summary

Constructors
Constructor
Description
`LangNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LangNamespaceHandler

public LangNamespaceHandler()

## Method Details

### init

public void init()